/*------------------------------------*\
  header
\*------------------------------------*/

.header--primary {
  background-color: $body-color;
  position: sticky;
  top: 0;
  z-index: 99999;
}

// topbar
.header__topbar {
  background-color: $base-color;
  display: flex;
  align-items: stretch;
  position: relative;
  @include media(">=sm") {
    .logo {
      width: calc(100% / 4);
    }
    .live {
      width: calc(100% / 4 * 3);
    }
  }
  @include media("<sm") {
    .logo {
      width: calc(100% / 4 * 2);
    }
    .live {
      width: calc(100% / 4 * 2);
    }
  }
}

// logo
.logo {
  background-color: $body-color;
  display: flex;
}
.logo__link {
  margin: auto;
  display: block;
  background-color: $body-color;
  @extend %padding;
  padding-top: $spacing-xxs;
  padding-bottom: $spacing-xxs;
  @include media("<sm") {
    padding-top: $spacing-xs;
    padding-bottom: $spacing-xs;
  }
  img {
    width: 100%;
    max-width: 120px;
    margin-left: auto;
    margin-right: auto;
  }
}

// search
.search-link {
  position: absolute;
  top: 0;
  right: 0;
  width: calc(#{$grid-gutter-width} + 15px);
  padding: 0 $grid-gutter-width/2;
  height: 100%;
  background-color: $base-color;
  background-image: url("images/icon-search.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 15px;
  transform: scale(-1, 1);
}
